@mixin circle($size) {
  width: $size;
  height: $size;
  border-radius: 100%;
}

@mixin lightenLinkColor($color) {
  color: $color;
  &:hover, &:active {
    color: lighten($color, 5%);
  }
}

@mixin lightenLinkBackgroundColor($color) {
  background-color: $color;
  &:hover, &:active  {
    background-color: lighten($color, 5%);
  }
}

@mixin darkenLinkColor($color) {
  color: $color;
  &:hover, &:active {
    color: darken($color, 5%);
  }
}

@mixin darkenLinkBackgroundColor($color) {
  background-color: $color;
  &:hover, &:active {
    background-color: darken($color, 5%);
  }
}

@mixin linkNoChangeColor($color) {
  color: $color;
  &:hover, &:active {
    color: $color;
  }
}

@mixin linkChangeColor($color-01, $color-02) {
  color: $color-01;
  &:hover, &:active {
    color: $color-02;
  }
}

@mixin absPosition($top: auto, $right: auto, $bottom: auto, $left: auto) {
  position: absolute;
  top: $top;
  right: $right;
  bottom: $bottom;
  left: $left;
}

@mixin center-center {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

@mixin h-center {
  position: absolute;
  left: 50%;
  transform: translatex(-50%);
}

@mixin v-center {
  position: absolute;
  top: 50%;
  transform: translatey(-50%);
}

@mixin margin-cent {
  margin-left: auto;
  margin-right: auto;
}

@mixin margin-null{
  margin-left: 0;
  margin-right: 0;
}

@mixin upper {
  text-transform: uppercase;
}

@mixin txt-center {
  text-align: center;
}

@mixin txt-justify {
  text-align: justify;
}

@mixin txt-left {
  text-align: left;
}

@mixin txt-right {
  text-align: right;
}

@mixin txt-decoration-none {
  text-decoration: none;
}

@mixin txt-decoration-line {
  text-decoration: underline;
}

@mixin inline {
  display: inline;
}

@mixin inline-block {
  display: inline-block;
}

@mixin block {
  display: block;
}

@mixin clearfix() {
  &:before,
  &:after {
    content: "";
    display: table;
  }
  &:after {
    clear: both;
  }
}
@mixin shadow-01 {
  box-shadow: none;
}
@mixin shadow-02 {
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
}

@mixin shadow-03 {
  box-shadow: 0 4px 5px 0 rgba(0, 0, 0, 0.14), 0 1px 10px 0 rgba(0, 0, 0, 0.12), 0 2px 4px -1px rgba(0, 0, 0, 0.3);
}

@mixin shadow-04 {
  box-shadow: 0 6px 10px 0 rgba(0, 0, 0, 0.14), 0 1px 18px 0 rgba(0, 0, 0, 0.12), 0 3px 5px -1px rgba(0, 0, 0, 0.3);
}

@mixin shadow-05 {
  box-shadow: 0 8px 10px 1px rgba(0, 0, 0, 0.14), 0 3px 14px 2px rgba(0, 0, 0, 0.12), 0 5px 5px -3px rgba(0, 0, 0, 0.3);
}

@mixin shadow-06 {
  box-shadow: 0 16px 24px 2px rgba(0, 0, 0, 0.14), 0 6px 30px 5px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(0, 0, 0, 0.3);
}

$browser-context: 16;

@function em($pixels, $context: $browser-context) {
  @if (unitless($pixels)) {
    $pixels: $pixels * 1px;
  }

  @if (unitless($context)) {
    $context: $context * 1px;
  }

  @return $pixels / $context * 1em;
}

@mixin font-size($pixels, $context: 16px){
  font-size: #{$pixels/$context}em
}

@keyframes fadeIn {
  0% {
    opacity: 0
  }

  100% {
    opacity: 1
  }
}

%animated {
  animation-duration: .6s;
  animation-fill-mode: both
}

%fadeIn {
  animation-name: fadeIn
}

@mixin cstAnim($prop: all) {
  transition: .3s ease-in-out $prop;
}
